/**
 * @vitest-environment-options { "xmlPath": "./tests/resources/Features_DCC_v3.2.0.xml" }
 */
import { DCCDocument, RespPersonType } from "../../../src";
import { select } from "../../util";

const base = "/dcc:digitalCalibrationCertificate/dcc:administrativeData/dcc:respPersons";
const xpath = {
  respPerson: {
    refType: `string(${base}/dcc:respPerson/@refType)`,
  },
};

describe("Features_DCC_v3.2.0: CalibrationLaboratory", () => {
  let dcc: DCCDocument, dom, respPerson: RespPersonType;

  beforeEach(() => {
    ({ dcc, dom } = recreateEnv());
    respPerson = dcc.digitalCalibrationCertificate.administrativeData.respPersons.respPerson[0];
  });

  test("should get respPerson refType from XML", () => {
    expect(respPerson._attr.refType).toBe(select(xpath.respPerson.refType, dom));
  });
});
