/**
 * @vitest-environment-options { "xmlPath": "./tests/resources/Test_DCC_Minimal.xml" }
 */

import { select, toTextArr, toTextContentArr } from "../../util";
import { RespPersonType, DCCDocument } from "../../../src";

const base = "/dcc:digitalCalibrationCertificate/dcc:administrativeData/dcc:respPersons";
const xpath = {
  respPersons: {
    respPerson: {
      person: {
        name: {
          content: `${base}/dcc:respPerson[1]/dcc:person/dcc:name/dcc:content`,
        },
      },
    },
  },
};

describe("Test_DCC_Minimal: RespPersonType", () => {
  let dcc: DCCDocument, respPerson: RespPersonType, dom;

  beforeEach(() => {
    ({ dcc, dom } = recreateEnv());
    respPerson = dcc.digitalCalibrationCertificate.administrativeData.respPersons.respPerson[0];
  });

  test("should get correct responsible person 1 name content from XML", () => {
    // get expected list from example xml
    const expected = <Element[]>select(xpath.respPersons.respPerson.person.name.content, dom);
    expect(toTextArr(respPerson.person.name.content)).toEqual(toTextContentArr(expected));
  });

  /* TODO: setters */
});
