/**
 * @vitest-environment-options { "xmlPath": "./tests/resources/Test_DCC_Minimal.xml" }
 */

describe("DCCDocument", () => {
  let xml, dcc;

  beforeEach(() => {
    ({ xml, dcc } = recreateEnv());
  });

  test("fromXml() and toXml() should not modify XML", () => {
    // fix line endings, they are always LF
    xml = xml.replace(/\r\n|\r|\n/g, "\n");

    // fromXml() is part of the XMLEnvironment
    expect(dcc.toXML({ spaces: 4 })).toBe(xml);
  });
});
